package domain


type AlibabaWdkChannelOrderCreateDiscountInfo struct {
    /*
        营销活动ID     */
    ActivityId  *string `json:"activity_id,omitempty" `

    /*
        营销活动类型     */
    ActivityType  *string `json:"activity_type,omitempty" `

    /*
        优惠金额     */
    DicountFee  *int64 `json:"dicount_fee,omitempty" `

}

func (s *AlibabaWdkChannelOrderCreateDiscountInfo) SetActivityId(v string) *AlibabaWdkChannelOrderCreateDiscountInfo {
    s.ActivityId = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateDiscountInfo) SetActivityType(v string) *AlibabaWdkChannelOrderCreateDiscountInfo {
    s.ActivityType = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateDiscountInfo) SetDicountFee(v int64) *AlibabaWdkChannelOrderCreateDiscountInfo {
    s.DicountFee = &v
    return s
}
